"use client";

import {AxiosRequestConfig, AxiosResponse} from "axios";
import {userApi} from "../../../configutation";

const Login = async (username: string, password: string): Promise<AxiosResponse<void>> => {
    const options: AxiosRequestConfig = {
        withCredentials: true
    }

    return await userApi.userServiceLogin({
        username: username,
        password: password
    }, options);
}

export {Login};
