"use client";

import {AxiosRequestConfig, AxiosResponse} from "axios";
import {userApi} from "../../../configutation";


const GetMe = async () => {
    const options: AxiosRequestConfig = {
        withCredentials: true,
        timeout: 50,
    }

    return await userApi.userServiceGetUser(0, true, options);
}

const Logout = async (): Promise<AxiosResponse<void>> => {
    const options: AxiosRequestConfig = {
        withCredentials: true
    }

    return await userApi.userServiceLogout(options);
}

export {GetMe, Logout};
